Subject: Re: [PATCH] net: rose: Prevent the use of freed digipeat

From: Jakub Kicinski <[email-masked]>
Date: Fri, 24 Oct 2025 16:58:38 -0700

On Fri, 24 Oct 2025 17:05:21 +0800 Lizhi Xu wrote:
> There is no synchronization between the two timers, rose_t0timer_expiry
> and rose_timer_expiry.
> rose_timer_expiry() puts the neighbor when the rose state is ROSE_STATE_2.
> However, rose_t0timer_expiry() does initiate a restart request on the
> neighbor.

Read what reviewers tell you please.

Kuniyuki already told you not to send patches in reply to existing
threads.